tigase.vhosts

## Interface VHostListener

- All Superinterfaces:
    ServerComponent
  All Known Implementing Classes:
    AbstractComponent, AbstractComponentRegistrator, AbstractKernelBasedComponent, AbstractMessageReceiver, AmpComponent, AmpComponentClustered, BasicComponent, BoshConnectionClustered, BoshConnectionManager, ClientConnectionClustered, ClientConnectionManager, ClusterConnectionManager, ClusterController, ComponentConnectionManager, ComponentProtocol, ComponentProtocolManager, Configurator, ConfiguratorAbstract, ConfiguratorOld, ConnectionManager, EchoComponent, EventBusComponent, EventBusComponent, ExternalServiceDiscoveryComponent, MessageRouter, MonitorComponent, MonitorComponent, S2SConnectionManager, SessionManager, SessionManagerClustered, StatisticsCollector, TestComponent, VHostManager, VirtualComponent, WebSocketClientConnectionClustered, WebSocketClientConnectionManager, WorkgroupQueuesComponent, XMPPServiceCollector

      public interface VHostListener
      extends ServerComponent

  Interface VHostListener needs to be implemented by every class wanting to accept and process XMPP packets sent to virtual domains. It allows for basic component settings and retrieve information and configuration about virtual domains server by the installation.
  Created: Fri Nov 21 14:29:49 2008
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handlesLocalDomains()` Indicates whether the component accepts packets to all local domains.
    `boolean` | `handlesNameSubdomains()` Indicates whether the component can handle packets to 'name' subdomain.
    `boolean` | `handlesNonLocalDomains()` Indicates whether the component can handle all packets to non-local domains.
    `void` | `setVHostManager(VHostManagerIfc manager)` Sets the VHostManager which works on this server installation.

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- - ### Method Detail

    - #### setVHostManager

          void setVHostManager(VHostManagerIfc manager)

      Sets the VHostManager which works on this server installation. The VHostManager allows for accessing vritual domain data.
      Parameters:
        `manager` - is a reference to VHostManager available on the server installation.

    - #### handlesLocalDomains

          boolean handlesLocalDomains()

      Indicates whether the component accepts packets to all local domains. The best example would be SM component which usually handles all requests sent to any local domain.
      Returns:
        'true' if the component accepts packets to local domains 'false' otherwise.

    - #### handlesNonLocalDomains

          boolean handlesNonLocalDomains()

      Indicates whether the component can handle all packets to non-local domains. S2s connection manager component is the best example of the component which handles all requests sent to non-local domains.
      Returns:
        'true' if the component accepts packets to non-local domains 'false' otherwise.

    - #### handlesNameSubdomains

          boolean handlesNameSubdomains()

      Indicates whether the component can handle packets to 'name' subdomain. Name subdomain is an artificial domain created from the component name and the domain name. The best example would be a 'MUC' component or a 'PubSub' component. They are usually named respectively 'muc' and 'pubsub' and they accept requests sent to domains 'muc.tigase.org' or 'pubsub.tigase.org', even though a local domain is just 'tigase.org'.
      Returns:
        'true' if the component accepts packets to 'name' subdomains 'false' otherwise.

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.